
Foreman - Feature #3011

default root name for api json index response to :results but make it configurable

09/02/2013 01:58 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #3646: Default root name for api json single obj... Closed 11/14/2013

Related to Foreman - Bug #3869: API error messages poorly formatted Closed 12/12/2013

Associated revisions

Revision cc739ab4 - 11/25/2013 11:36 AM - Joseph Magen

fixes #3011 - default root node name for api collections json response to :results but make it configurable

History

#1 - 09/03/2013 08:33 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/862

#2 - 10/17/2013 12:11 PM - Dominic Cleal

- Target version set to 1.15.0

#3 - 11/12/2013 12:04 PM - Dominic Cleal

- Target version changed from 1.15.0 to 1.10.0

#4 - 11/14/2013 10:49 AM - Dominic Cleal

- Related to Feature #3646: Default root name for api json single object response to no root node but make it configurable added

#5 - 11/25/2013 10:32 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#6 - 11/25/2013 12:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cc739ab4c61cf0e03d7185c79eab411d3ece421f.

#7 - 12/13/2013 08:41 AM - Dominic Cleal

- Related to Bug #3869: API error messages poorly formatted added
